## org.biojava.bio.seq
Interface RemoteFeature.Resolver

All Known Implementing Classes:
  SimpleRemoteFeature.DBResolver

Enclosing interface:
  RemoteFeature

    public static interface RemoteFeature.Resolver

The interface for objects that actually can take a RemoteFeature and return a Sequence object with the feature resolved into a real feature.

An implementation may choose to create a new Assembly from Sequences in a SequenceDB instance, or to return some existing larger Sequence that the sequence parent of the Feature is part of. This interface should ensure canonicalization of the returned Feature and the Sequence it resides on (using, for instance, SoftReferenceCacheMap keyed by a set of sequence IDs).

Since:
  1.1
Author:
  Matthew Pocock

Method Summary
`Feature` `resolve(RemoteFeature rFeat)` Resolve rFeat.

Method Detail

### resolve

    Feature resolve(RemoteFeature rFeat)
                    throws IllegalIDException,
                           BioException

  Resolve rFeat.

  This method returns a Feature that represents the RemoteFeature rFeat on some Sequence where all of the Regions can be represented localy. This may be an assembly of the parent sequence of rFeat and each of the Sequences that have IDs listed in the Region list of rFeat.

  Parameters:
    `rFeat` - the RemoteFeature to resolve
  Returns:
    a Feature on some other Seqence where each Region of rFeat is resolved into a local Location
  Throws:
    `IllegalIDException`
    `BioException`